# LarkAG - Attribute Grammar Extension for Lark

LarkAG is an extension to the Lark Compiler Generator that adds support for Attribute Grammars, allowing users to define attributes and semantic operations within their context-free grammars. This tool aims to simplify the development of language processors by enhancing the capabilities of Lark, improving productivity, and reducing errors in grammar engineering.

## Features
Attribute Grammar Support: Define synthesized and inherited attributes directly in grammar files.
Semantic Rule Execution: Use evaluation, context conditions, and translation rules for complex language processing.
Python Code Generation: Automatically generate Python code for interpreting AGs.

## Installation

### Prerequisites:
Python 3.7+ is required to install LarkAG.
Lark 1.1.9 

Install LarkAG using pip:
```bash
pip install lark-ag
```